#ifndef SHOW_HPP
#define SHOW_HPP

/**
 * Show various JavaDoc handling bugs.
 */
class Show
{
public:
	/**
	 * In brief: before &gt;{@code <b>text</b>}&lt; after.
	 *
	 * In main: before &gt;{@code <b>text</b>}&lt; after.
	 *
	 * @param arg In param: before &gt;{@code <b>text</b>}&lt; after.
	 * @return In return: before &gt;{@code <b>text</b>}&lt; after.
	 * @throw std::bad_alloc In throw: before &gt;{@code <b>text</b>}&lt; after.
	 */
	int showBug688381( int arg );

	/**
	 * In brief: before &gt;{@link #linkTarget()}&lt; after.
	 *
	 * In main: before &gt;{@link #linkTarget()}&lt; after.
	 *
	 * @param arg In param: before &gt;{@link #linkTarget()}&lt; after.
	 * @return In return: before &gt;{@link #linkTarget()}&lt; after.
	 * @throw std::bad_alloc In throw: before &gt;{@link #linkTarget()}&lt; after.
	 * @see #linkTarget()
	 * @see Show#linkTarget()
	 * @see Show::linkTarget()
	 */
	int showBug688383( int arg );

	/**
	 * In brief: before &gt;{@link #linkTarget()}&lt; after.
	 *
	 * In main: before &gt;{@link #linkTarget()}&lt; after.
	 *
	 * @param arg In param: before &gt;{@link #linkTarget()}&lt; after.
	 * @return In return: before &gt;{@link #linkTarget()}&lt; after.
	 * @throw std::bad_alloc In throw: before &gt;{@link #linkTarget()}&lt; after.
	 */
	int showBug688384( int arg );

	/**
	 * In brief: before &gt;{@code Show}&lt; after.
	 *
	 * In main: before &gt;{@code Show}&lt; after.
	 *
	 * @param arg In param: before &gt;{@code Show}&lt; after.
	 * @return In return: before &gt;{@code Show}&lt; after.
	 * @throw std::bad_alloc In throw: before &gt;{@code Show}&lt; after.
	 */
	int showBug688385( int arg );

	/**
	 * In brief: before &gt;{@literal <b>text</b>}&lt; after.
	 *
	 * In main: before &gt;{@literal <b>text</b>}&lt; after.
	 *
	 * @param arg In param: before &gt;{@literal <b>text</b>}&lt; after.
	 * @return In return: before &gt;{@literal <b>text</b>}&lt; after.
	 * @throw std::bad_alloc In throw: before &gt;{@literal <b>text</b>}&lt; after.
	 */
	int showBug688386( int arg );

	/**
	 * In brief: before &gt;{@linkplain #linkTarget()}&lt; after.
	 *
	 * In main: before &gt;{@linkplain #linkTarget()}&lt; after.
	 *
	 * @param arg In param: before &gt;{@linkplain #linkTarget()}&lt; after.
	 * @return In return: before &gt;{@linkplain #linkTarget()}&lt; after.
	 * @throw std::bad_alloc In throw: before &gt;{@linkplain #linkTarget()}&lt; after.
	 */
	int showBug688387( int arg );

	/**
	 * Nothing interesting here, just a target for links.
	 */
	void linkTarget();

};

#endif // SHOW_HPP
